# Uses of Class
org.apache.lucene.spatial3d.geom.PlanetModel.DocValueEncoder

Packages that use PlanetModel.DocValueEncoder
Package
Description
org.apache.lucene.spatial3d.geom
Shapes implemented using 3D planar geometry.

- ## Uses of PlanetModel.DocValueEncoder in org.apache.lucene.spatial3d.geom

  Fields in org.apache.lucene.spatial3d.geom declared as PlanetModel.DocValueEncoder
  Modifier and Type
  Field
  Description
  `final PlanetModel.DocValueEncoder`
  PlanetModel.`docValueEncoder`
  utility class used to encode/decode from lat/lon (decimal degrees) into doc value integers
  Methods in org.apache.lucene.spatial3d.geom that return PlanetModel.DocValueEncoder
  Modifier and Type
  Method
  Description
  `PlanetModel.DocValueEncoder`
  PlanetModel.`getDocValueEncoder()`
  return reference to the DocValueEncoder used to encode/decode Geo3DDocValues